Results 1 to 3 of 3

Thread: error: cannot find the flags to link with Boost system

  1. #1
    Join Date
    Nov 2011
    Beans
    28

    error: cannot find the flags to link with Boost system

    I'm try to install Nightshade (Desktop planetarium) similar to Stellerium.

    I have this error.

    ...
    ...
    checking whether to build static libraries... yes
    checking for ld used by g++... /usr/bin/ld
    checking if the linker (/usr/bin/ld) is GNU ld... yes
    checking whether the g++ linker (/usr/bin/ld) supports shared libraries... yes
    checking for g++ option to produce PIC... -fPIC -DPIC
    checking if g++ PIC flag -fPIC -DPIC works... yes
    checking if g++ static flag -static works... yes
    checking if g++ supports -c -o file.o... yes
    checking if g++ supports -c -o file.o... (cached) yes
    checking whether the g++ linker (/usr/bin/ld) supports shared libraries... yes
    checking dynamic linker characteristics... GNU/Linux ld.so
    checking how to hardcode library paths into programs... immediate
    checking for fabs in -lm... yes
    checking for shm_open in -lrt... yes
    checking for Boost headers version >= 1.42.0... yes
    checking for Boost's header version... 1_46_1
    checking for the toolset name used by Boost for g++... gcc46 -gcc
    checking boost/system/error_code.hpp usability... yes
    checking boost/system/error_code.hpp presence... yes
    checking for boost/system/error_code.hpp... yes
    checking for the Boost system library... no
    configure: error: cannot find the flags to link with Boost system

    I check, i have installed Boost libs. I can't find how solve it.

    I have xubuntu 11.10. AMD processor, 2 gb ram. Nvidia Graphic

  2. #2
    Join Date
    Nov 2011
    Beans
    28

    Re: error: cannot find the flags to link with Boost system

    Any idea yet?

  3. #3
    Join Date
    Jun 2010
    Beans
    1

    Re: error: cannot find the flags to link with Boost system

    I just had this problem on another application that needs libboost. You need to install libboost-system-dev

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •